# ARBDrawBuffers (LWJGL API)
Date: 2015-07-28

## org.lwjgl.opengles
Class ARBDrawBuffers

    java.lang.Object
      org.lwjgl.opengles.ARBDrawBuffers

    public final class ARBDrawBuffers

extends java.lang.Object

Field Summary
`static int` `GL_DRAW_BUFFER0_ARB` Accepted by the <pname> parameters of GetIntegerv, GetFloatv:
`static int` `GL_DRAW_BUFFER1_ARB` Accepted by the <pname> parameters of GetIntegerv, GetFloatv:
`static int` `GL_DRAW_BUFFER10_ARB` Accepted by the <pname> parameters of GetIntegerv, GetFloatv:
`static int` `GL_DRAW_BUFFER11_ARB` Accepted by the <pname> parameters of GetIntegerv, GetFloatv:
`static int` `GL_DRAW_BUFFER12_ARB` Accepted by the <pname> parameters of GetIntegerv, GetFloatv:
`static int` `GL_DRAW_BUFFER13_ARB` Accepted by the <pname> parameters of GetIntegerv, GetFloatv:
`static int` `GL_DRAW_BUFFER14_ARB` Accepted by the <pname> parameters of GetIntegerv, GetFloatv:
`static int` `GL_DRAW_BUFFER15_ARB` Accepted by the <pname> parameters of GetIntegerv, GetFloatv:
`static int` `GL_DRAW_BUFFER2_ARB` Accepted by the <pname> parameters of GetIntegerv, GetFloatv:
`static int` `GL_DRAW_BUFFER3_ARB` Accepted by the <pname> parameters of GetIntegerv, GetFloatv:
`static int` `GL_DRAW_BUFFER4_ARB` Accepted by the <pname> parameters of GetIntegerv, GetFloatv:
`static int` `GL_DRAW_BUFFER5_ARB` Accepted by the <pname> parameters of GetIntegerv, GetFloatv:
`static int` `GL_DRAW_BUFFER6_ARB` Accepted by the <pname> parameters of GetIntegerv, GetFloatv:
`static int` `GL_DRAW_BUFFER7_ARB` Accepted by the <pname> parameters of GetIntegerv, GetFloatv:
`static int` `GL_DRAW_BUFFER8_ARB` Accepted by the <pname> parameters of GetIntegerv, GetFloatv:
`static int` `GL_DRAW_BUFFER9_ARB` Accepted by the <pname> parameters of GetIntegerv, GetFloatv:
`static int` `GL_MAX_DRAW_BUFFERS_ARB` Accepted by the <pname> parameters of GetIntegerv, GetFloatv:

Method Summary
`static void` `glDrawBuffersARB(int buffer)` Overloads glDrawBuffersARB.
`static void` `glDrawBuffersARB(java.nio.IntBuffer buffers)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### GL_MAX_DRAW_BUFFERS_ARB

    public static final int GL_MAX_DRAW_BUFFERS_ARB

  Accepted by the <pname> parameters of GetIntegerv, GetFloatv:

  See Also:
    Constant Field Values

### GL_DRAW_BUFFER0_ARB

    public static final int GL_DRAW_BUFFER0_ARB

  Accepted by the <pname> parameters of GetIntegerv, GetFloatv:

  See Also:
    Constant Field Values

### GL_DRAW_BUFFER1_ARB

    public static final int GL_DRAW_BUFFER1_ARB

  Accepted by the <pname> parameters of GetIntegerv, GetFloatv:

  See Also:
    Constant Field Values

### GL_DRAW_BUFFER2_ARB

    public static final int GL_DRAW_BUFFER2_ARB

  Accepted by the <pname> parameters of GetIntegerv, GetFloatv:

  See Also:
    Constant Field Values

### GL_DRAW_BUFFER3_ARB

    public static final int GL_DRAW_BUFFER3_ARB

  Accepted by the <pname> parameters of GetIntegerv, GetFloatv:

  See Also:
    Constant Field Values

### GL_DRAW_BUFFER4_ARB

    public static final int GL_DRAW_BUFFER4_ARB

  Accepted by the <pname> parameters of GetIntegerv, GetFloatv:

  See Also:
    Constant Field Values

### GL_DRAW_BUFFER5_ARB

    public static final int GL_DRAW_BUFFER5_ARB

  Accepted by the <pname> parameters of GetIntegerv, GetFloatv:

  See Also:
    Constant Field Values

### GL_DRAW_BUFFER6_ARB

    public static final int GL_DRAW_BUFFER6_ARB

  Accepted by the <pname> parameters of GetIntegerv, GetFloatv:

  See Also:
    Constant Field Values

### GL_DRAW_BUFFER7_ARB

    public static final int GL_DRAW_BUFFER7_ARB

  Accepted by the <pname> parameters of GetIntegerv, GetFloatv:

  See Also:
    Constant Field Values

### GL_DRAW_BUFFER8_ARB

    public static final int GL_DRAW_BUFFER8_ARB

  Accepted by the <pname> parameters of GetIntegerv, GetFloatv:

  See Also:
    Constant Field Values

### GL_DRAW_BUFFER9_ARB

    public static final int GL_DRAW_BUFFER9_ARB

  Accepted by the <pname> parameters of GetIntegerv, GetFloatv:

  See Also:
    Constant Field Values

### GL_DRAW_BUFFER10_ARB

    public static final int GL_DRAW_BUFFER10_ARB

  Accepted by the <pname> parameters of GetIntegerv, GetFloatv:

  See Also:
    Constant Field Values

### GL_DRAW_BUFFER11_ARB

    public static final int GL_DRAW_BUFFER11_ARB

  Accepted by the <pname> parameters of GetIntegerv, GetFloatv:

  See Also:
    Constant Field Values

### GL_DRAW_BUFFER12_ARB

    public static final int GL_DRAW_BUFFER12_ARB

  Accepted by the <pname> parameters of GetIntegerv, GetFloatv:

  See Also:
    Constant Field Values

### GL_DRAW_BUFFER13_ARB

    public static final int GL_DRAW_BUFFER13_ARB

  Accepted by the <pname> parameters of GetIntegerv, GetFloatv:

  See Also:
    Constant Field Values

### GL_DRAW_BUFFER14_ARB

    public static final int GL_DRAW_BUFFER14_ARB

  Accepted by the <pname> parameters of GetIntegerv, GetFloatv:

  See Also:
    Constant Field Values

### GL_DRAW_BUFFER15_ARB

    public static final int GL_DRAW_BUFFER15_ARB

  Accepted by the <pname> parameters of GetIntegerv, GetFloatv:

  See Also:
    Constant Field Values

Method Detail

### glDrawBuffersARB

    public static void glDrawBuffersARB(java.nio.IntBuffer buffers)

### glDrawBuffersARB

    public static void glDrawBuffersARB(int buffer)

  Overloads glDrawBuffersARB.

Copyright © 2002-2009 lwjgl.org. All Rights Reserved.